NAME="matterlinux"
VERSION="24.00"
EXCLUDE=("README.md" "LICENSE.txt")
KEYS=("F9E70878C2FB389AEC2BA34CA3654DF5AD9F641D")
PKGS1=("systemd" "dhcpcd")
PKGS2=("linux")
BOOTCFG="
set default=0
set timeout=10
insmod efi_gop
insmod font
if loadfont /boot/grub/fonts/unicode.pf2
then
  insmod gfxterm
  set gfxmode-auto
  set gfxpayload=keep
  terminal_output gfxterm
fi

menuentry 'MatterLinux $VERSION' --class os {
  insmod gzio
  insmod part_msdos
  linux /vmlinuz-linux loglevel=3 quiet
  initrd /initrd.img
}"

build() {
  echo "root:root" | chpasswd 
  systemd-machine-id-setup
  systemctl preset-all 
  cp /etc/skel/.* /root
  cp /usr/sbin/init .
}
